<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Neraca Saldo</title>
    <style type="text/css">
        .table-container {
            position: relative;
            height: 570px; /* Atur tinggi sesuai kebutuhan */
            overflow-y: auto;
        }

        .table-responsive {
            max-height: 570px;
            overflow-y: auto;
        }

        .table thead {
            position: sticky;
            top: 0;
            z-index: 1;
        }
        .table tfoot {
            position: sticky;
            bottom: 0;
            z-index: 1;
        }
    </style>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <!--    <div th:include="sidebar/sidebar_report::sidebar_report" th:remove="tag">-->
    <!--        sidebar-->
    <!--    </div>-->
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-lg">
                    <div class="card-header">
                        <h5>Neraca Saldo</h5>
                    </div>
                    <div class="card-body">
                        <form action="">
                            <div class="row mb-2">
                                <div class="col-md-4">
                                    <label>Tanggal Mulai</label>
                                    <input type="date" name="startDate" th:value="${startDate}" class="form-control">
                                </div>
                                <div class="col-md-4">
                                    <label>Tanggal Akhir</label>
                                    <input type="date" name="endDate" th:value="${endDate}" class="form-control">
                                </div>
                                <div class="col-md-4">
                                    <label>Institut</label>
                                    <select name="institut" id="select" multiple="multiple" class="form-select">
                                        <option th:each="data, row:${institut}"
                                                th:text="${data.namaInstitut}"
                                                th:value="${data.id}"></option>
                                    </select>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">Search</button>
                                </div>
                            </div>
                        </form>
                        <div class="col-md-12 mb-2">
                            Data yang tampil dari <b th:text="${#temporals.format(startDate, 'dd MMMM yyyy')}">1 Januari 2023</b> s.d <b th:text="${#temporals.format(endDate, 'dd MMMM yyyy')}">2 Januari 20235</b>
                        </div>
                        <div class="col-md-12 text-end mb-4" th:if="${institutParams != null}">
                            <a th:href="@{/download/laporan(startDate=${startDate}, endDate=${endDate}, institut=${institutParams})}" 
                            class="btn btn-primary">
                                Download Laporan
                            </a>
                        </div>
                        <div class="row mb-2">
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped table-hover table-sm small">
                                        <thead class="table-dark small" style="--bs-table-bg: #0a3e8a">
                                        <tr>
                                            <th rowspan="2" width="150px">Akun</th>
                                            <th colspan="2"><center>Saldo Awal</center></th>
                                            <th colspan="2"><center>Mutasi</center></th>
                                            <th colspan="2"><center>Neraca Saldo</center></th>
                                            <th colspan="2"><center>Penyesuaian</center></th>
                                            <th colspan="2"><center>Neraca Saldo Setalah Penyesuaian</center></th>
                                            <th colspan="2"><center>Laba Rugi</center></th>
                                            <th colspan="2"><center>Neraca</center></th>
                                        </tr>
                                        <tr>
                                            <th style="text-align: center;" width="100">Debet</th>
                                            <th style="text-align: center;" width="100">Kredit</th>
                                            <th style="text-align: center;" width="100">Debet</th>
                                            <th style="text-align: center;" width="100">Kredit</th>
                                            <th style="text-align: center;" width="100">Debet</th>
                                            <th style="text-align: center;" width="100">Kredit</th>
                                            <th style="text-align: center;" width="100">Debet</th>
                                            <th style="text-align: center;" width="100">Kredit</th>
                                            <th style="text-align: center;" width="100">Debet</th>
                                            <th style="text-align: center;" width="100">Kredit</th>
                                            <th style="text-align: center;" width="100">Debet</th>
                                            <th style="text-align: center;" width="100">Kredit</th>
                                            <th style="text-align: center;" width="100">Debet</th>
                                            <th style="text-align: center;" width="100">Kredit</th>
                                        </tr>
                                        </thead>
                                        <tbody class="small">
                                        <tr th:each="data, row : ${listData}">
                                            <td th:text="${data.code + ' - ' + data.name}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.saldoAwalDebet ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.saldoAwalKredit ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.mutasiDebet ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.mutasiKredit ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.neracaSaldoDebet ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.neracaSaldoKredit ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.penyesuaianDebet ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.penyesuaianKredit ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.setelahPenyesuaianDebet ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.setelahPenyesuaianKredir ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.labaRugidebet ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.labaRugikredit ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.neracaDebet ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(data.neracaKredit ?: 0, 0, 'POINT', 2, 'COMMA')}"></td>
                                        </tr>
                                        </tbody>
                                        <tfoot>
                                        <tr class="table-dark small" style="--bs-table-bg: #0a3e8a">
                                            <td>Total</td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getSaldoAwalDebet(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getSaldoAwalKredit(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getMutasiDebet(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getMutasiKredit(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getNeracaSaldoDebet(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getNeracaSaldoKredit(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getPenyesuaianDebet(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getPenyesuaianKredit(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getSetelahPenyesuaianDebet(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getSetelahPenyesuaianKredir(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getLabaRugidebet(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getLabaRugikredit(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getNeracaDebet(), 0, 'POINT', 2, 'COMMA')}"></td>
                                            <td class="text-end" th:text="${#numbers.formatDecimal(total.getNeracaKredit(), 0, 'POINT', 2, 'COMMA')}"></td>
                                        </tr>
                                        </tfoot>
                                    </table>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
<div layout:fragment="footer" class="script">
    <script>
        $('#select').select2({
            theme: 'bootstrap-5',
            placeholder: '- Pilih Institusi -'
        });
    </script>
</div>
</body>
</html>
